## python-pykmip 0.2.0

=== requirements.txt ===
enum34
sqlalchemy

=== debian/changelog ===
python-pykmip (0.2.0-1) unstable; urgency=medium

  * Initial release. (Closes: #771076)

 -- Thomas Goirand <zigo@debian.org>  Wed, 26 Nov 2014 22:55:22 +0800

=== debian/control ===
Source: python-pykmip
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-setuptools
Build-Depends-Indep: python-coverage,
                     python-enum34,
                     python-fixtures,
                     python-mock,
                     python-pytest,
                     python-sqlalchemy,
                     python-subunit,
                     python-testresources,
                     python-testscenarios,
                     python-testtools,
                     python3-coverage,
                     python3-enum34,
                     python3-fixtures,
                     python3-mock,
                     python3-pytest,
                     python3-sqlalchemy,
                     python3-subunit,
                     python3-testresources,
                     python3-testscenarios,
                     python3-testtools,
                     subunit,
                     testrepository
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-pykmip.git
Vcs-Git: git://anonscm.debian.org/openstack/python-pykmip.git
Homepage: https://github.com/OpenKMIP/PyKMIP

Package: python-pykmip
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Provides: python-kmip
Depends: python-enum34, python-sqlalchemy, ${misc:Depends}, ${python:Depends}
Description: implementation of the Key Management Interoperability Protocol - Python 2.x
 PyKMIP is a Python implementation of the Key Management Interoperability
 Protocol (KMIP) specification, supporting version 1.1 of the KMIP standard.
 The KMIP standard is governed by the Organization for the Advancement of
 Structured Information Standards (OASIS) and specifies a client/server-based
 protocol to perform key, certificate, and secret object management, including
 storage and maintenance operations.
 .
 The PyKMIP library currently provides a KMIP client and server supporting the
 following operations for the KMIP SymmetricKey managed object:
  * Create
  * Register
  * Get
  * Destroy
 .
 This package contains the Python 2.x module.

Package: python3-pykmip
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Provides: python3-kmip
Depends: python3-enum34,
         python3-sqlalchemy,
         ${misc:Depends},
         ${python3:Depends}
Description: KMIP v1.1 library - Python 3.x
 PyKMIP is a Python implementation of the Key Management Interoperability
 Protocol (KMIP) specification, supporting version 1.1 of the KMIP standard.
 The KMIP standard is governed by the Organization for the Advancement of
 Structured Information Standards (OASIS) and specifies a client/server-based
 protocol to perform key, certificate, and secret object management, including
 storage and maintenance operations.
 .
 The PyKMIP library currently provides a KMIP client and server supporting the
 following operations for the KMIP SymmetricKey managed object:
  * Create
  * Register
  * Get
  * Destroy
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/OpenKMIP/PyKMIP.git
-include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-pykmip; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-pykmip; \
	done
	rm -rf $(CURDIR)/debian/python*-pykmip/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python-coverage run --source=kmip/ -m pytest --strict
	PYTHONPATH=. python3-coverage run --source=kmip/ -m pytest --strict
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/P/PyKMIP PyKMIP-(.*).tar.gz

## python-pykmip 0.4.0

=== requirements.txt ===
enum34
six

=== debian/changelog ===
python-pykmip (0.4.0-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Nov 2015 14:34:55 +0100

python-pykmip (0.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 10:32:42 +0000

python-pykmip (0.4.0-1) experimental; urgency=medium

  * New upstream release.
  * AUTHORS.txt removed from upstream, removing from debian/docs.

 -- Thomas Goirand <zigo@debian.org>  Sat, 26 Sep 2015 23:53:58 +0200

python-pykmip (0.3.3-2) experimental; urgency=medium

  * Removed (build-)dependency on python3-enum34 (Closes: #796898).

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Aug 2015 15:30:47 +0000

python-pykmip (0.3.3-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update gbp configuration for experimental branch.
  * Update watch file to use Debian pypi redirector.

 -- James Page <james.page@ubuntu.com>  Thu, 02 Jul 2015 11:00:51 +0100

python-pykmip (0.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 02 May 2015 22:34:45 +0200

=== debian/control ===
--- 
+++ 
@@ -2,36 +2,36 @@
 Section: python
 Priority: optional
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
-Uploaders: Thomas Goirand <zigo@debian.org>
+Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
-               python-all (>= 2.6.6-3~),
+               python-all,
                python-setuptools,
                python-sphinx,
-               python3-all,
-               python3-setuptools
+               python3-all (>= 3.4),
+               python3-setuptools,
 Build-Depends-Indep: python-coverage,
                      python-enum34,
                      python-fixtures,
                      python-mock,
                      python-pytest,
+                     python-six,
                      python-sqlalchemy,
-                     python-subunit,
                      python-testresources,
                      python-testscenarios,
                      python-testtools,
                      python3-coverage,
-                     python3-enum34,
                      python3-fixtures,
                      python3-mock,
                      python3-pytest,
+                     python3-six,
                      python3-sqlalchemy,
                      python3-subunit,
                      python3-testresources,
                      python3-testscenarios,
                      python3-testtools,
                      subunit,
-                     testrepository
+                     testrepository,
 Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-pykmip.git
 Vcs-Git: git://anonscm.debian.org/openstack/python-pykmip.git
@@ -39,9 +39,12 @@
 
 Package: python-pykmip
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
-Provides: python-kmip
-Depends: python-enum34, python-sqlalchemy, ${misc:Depends}, ${python:Depends}
+Provides: python-kmip,
+Depends: python-enum34,
+         python-six,
+         python-sqlalchemy,
+         ${misc:Depends},
+         ${python:Depends},
 Description: implementation of the Key Management Interoperability Protocol - Python 2.x
  PyKMIP is a Python implementation of the Key Management Interoperability
  Protocol (KMIP) specification, supporting version 1.1 of the KMIP standard.
@@ -61,12 +64,11 @@
 
 Package: python3-pykmip
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
-Provides: python3-kmip
-Depends: python3-enum34,
+Provides: python3-kmip,
+Depends: python3-six,
          python3-sqlalchemy,
          ${misc:Depends},
-         ${python3:Depends}
+         ${python3:Depends},
 Description: KMIP v1.1 library - Python 3.x
  PyKMIP is a Python implementation of the Key Management Interoperability
  Protocol (KMIP) specification, supporting version 1.1 of the KMIP standard.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/PyKMIP/PyKMIP-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-pykmip 0.5.0

=== requirements.txt ===
cryptography>=1.1
enum34
six>=1.9.0
sqlalchemy>=1.0

=== debian/changelog ===
python-pykmip (0.5.0-4) unstable; urgency=medium

  * Team upload.
  * Bumped debhelper compat version to 10
  * Rebuilt with python-sqlalchemy 1.1

 -- Ondřej Nový <onovy@debian.org>  Fri, 02 Dec 2016 22:49:06 +0100

python-pykmip (0.5.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Oct 2016 14:22:38 +0200

python-pykmip (0.5.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using update-alternatives to manage /usr/bin/pykmip-server.
  * Fixed debian/copyright ordering.
  * Standards-Version is now 3.9.8.

 -- Thomas Goirand <zigo@debian.org>  Fri, 03 Jun 2016 09:21:34 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                python-all,
                python-setuptools,
@@ -11,38 +11,41 @@
                python3-all (>= 3.4),
                python3-setuptools,
 Build-Depends-Indep: python-coverage,
+                     python-cryptography (>= 1.1),
                      python-enum34,
                      python-fixtures,
                      python-mock,
                      python-pytest,
-                     python-six,
-                     python-sqlalchemy,
+                     python-six (>= 1.9.0),
+                     python-sqlalchemy (>= 1.0),
                      python-testresources,
                      python-testscenarios,
                      python-testtools,
                      python3-coverage,
+                     python3-cryptography (>= 1.1),
                      python3-fixtures,
                      python3-mock,
                      python3-pytest,
-                     python3-six,
-                     python3-sqlalchemy,
+                     python3-six (>= 1.9.0),
+                     python3-sqlalchemy (>= 1.0),
                      python3-subunit,
                      python3-testresources,
                      python3-testscenarios,
                      python3-testtools,
                      subunit,
                      testrepository,
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-pykmip.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-pykmip.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-pykmip?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-pykmip -b debian/newton
 Homepage: https://github.com/OpenKMIP/PyKMIP
 
 Package: python-pykmip
 Architecture: all
 Provides: python-kmip,
-Depends: python-enum34,
-         python-six,
-         python-sqlalchemy,
+Depends: python-cryptography (>= 1.1),
+         python-enum34,
+         python-six (>= 1.9.0),
+         python-sqlalchemy (>= 1.0),
          ${misc:Depends},
          ${python:Depends},
 Description: implementation of the Key Management Interoperability Protocol - Python 2.x
@@ -65,8 +68,9 @@
 Package: python3-pykmip
 Architecture: all
 Provides: python3-kmip,
-Depends: python3-six,
-         python3-sqlalchemy,
+Depends: python3-cryptography (>= 1.1),
+         python3-six (>= 1.9.0),
+         python3-sqlalchemy (>= 1.0),
          ${misc:Depends},
          ${python3:Depends},
 Description: KMIP v1.1 library - Python 3.x

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT = git://github.com/OpenKMIP/PyKMIP.git
+UPSTREAM_GIT := https://github.com/OpenKMIP/PyKMIP.git
 -include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
@@ -19,11 +19,13 @@
 			--root $(CURDIR)/debian/python3-pykmip; \
 	done
 	rm -rf $(CURDIR)/debian/python*-pykmip/usr/lib/python*/dist-packages/*.pth
+	mv $(CURDIR)/debian/python-pykmip/usr/bin/pykmip-server $(CURDIR)/debian/python-pykmip/usr/bin/python2-pykmip-server
+	mv $(CURDIR)/debian/python3-pykmip/usr/bin/pykmip-server $(CURDIR)/debian/python3-pykmip/usr/bin/python3-pykmip-server
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. python-coverage run --source=kmip/ -m pytest --strict
-	PYTHONPATH=. python3-coverage run --source=kmip/ -m pytest --strict
+	PYTHONPATH=. python-coverage run --source=kmip/ -m pytest --strict kmip/tests/unit
+	PYTHONPATH=. python3-coverage run --source=kmip/ -m pytest --strict kmip/tests/unit
 endif
 
 override_dh_clean:

## python-pykmip 0.7.0

=== requirements.txt ===
cryptography>=1.3
enum34
six>=1.9.0
sqlalchemy>=1.0

=== debian/changelog ===
python-pykmip (0.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 20:46:12 +0000

python-pykmip (0.7.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol

  [ Thomas Goirand ]
  * New upstream release.
  * Add kill-broken-test.patch.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Feb 2018 22:09:01 +0000

python-pykmip (0.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Ran wrap-and-sort -bast.
  * Fixed (build-)depends versions past Stretch.
  * Standards-Version is now 4.1.1.
  * Using pkgos-dh_auto_install and testing with all Python 3 versions.
  * Fixed python3 shebang to be python3, not python3.x.

 -- Thomas Goirand <zigo@debian.org>  Sun, 05 Nov 2017 20:54:15 +0000

=== debian/control ===
Source: python-pykmip
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-setuptools,
 python-sphinx,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python-coverage,
 python-cryptography,
 python-enum34,
 python-fixtures,
 python-mock,
 python-pytest,
 python-six,
 python-sqlalchemy,
 python-testresources,
 python-testscenarios,
 python-testtools,
 python3-coverage,
 python3-cryptography,
 python3-fixtures,
 python3-mock,
 python3-pytest,
 python3-six,
 python3-sqlalchemy,
 python3-subunit,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-pykmip
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-pykmip.git
Homepage: https://github.com/OpenKMIP/PyKMIP

Package: python-pykmip
Architecture: all
Provides:
 python-kmip,
Depends:
 python-cryptography,
 python-enum34,
 python-six,
 python-sqlalchemy,
 ${misc:Depends},
 ${python:Depends},
Description: implementation of the Key Management Interoperability Protocol - Python 2.x
 PyKMIP is a Python implementation of the Key Management Interoperability
 Protocol (KMIP) specification, supporting version 1.1 of the KMIP standard.
 The KMIP standard is governed by the Organization for the Advancement of
 Structured Information Standards (OASIS) and specifies a client/server-based
 protocol to perform key, certificate, and secret object management, including
 storage and maintenance operations.
 .
 The PyKMIP library currently provides a KMIP client and server supporting the
 following operations for the KMIP SymmetricKey managed object:
  * Create
  * Register
  * Get
  * Destroy
 .
 This package contains the Python 2.x module.

Package: python3-pykmip
Architecture: all
Provides:
 python3-kmip,
Depends:
 python3-cryptography,
 python3-six,
 python3-sqlalchemy,
 ${misc:Depends},
 ${python3:Depends},
Description: KMIP v1.1 library - Python 3.x
 PyKMIP is a Python implementation of the Key Management Interoperability
 Protocol (KMIP) specification, supporting version 1.1 of the KMIP standard.
 The KMIP standard is governed by the Organization for the Advancement of
 Structured Information Standards (OASIS) and specifies a client/server-based
 protocol to perform key, certificate, and secret object management, including
 storage and maintenance operations.
 .
 The PyKMIP library currently provides a KMIP client and server supporting the
 following operations for the KMIP SymmetricKey managed object:
  * Create
  * Register
  * Get
  * Destroy
 .
 This package contains the Python 3.x module.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/PyKMIP/PyKMIP-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-pykmip 0.8.0

=== debian/changelog ===
python-pykmip (0.8.0-0ubuntu1~cloud0) bionic-rocky; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 15 Jun 2018 15:01:48 +0000

python-pykmip (0.8.0-0ubuntu1) cosmic; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jun 2018 15:09:05 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-pykmip
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
@@ -20,6 +21,7 @@
  python-fixtures,
  python-mock,
  python-pytest,
+ python-requests,
  python-six,
  python-sqlalchemy,
  python-testresources,
@@ -30,6 +32,7 @@
  python3-fixtures,
  python3-mock,
  python3-pytest,
+ python3-requests,
  python3-six,
  python3-sqlalchemy,
  python3-subunit,
@@ -39,8 +42,8 @@
  subunit,
  testrepository,
 Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-pykmip
-Vcs-Git: https://salsa.debian.org/openstack-team/python/python-pykmip.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-pykmip
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-pykmip
 Homepage: https://github.com/OpenKMIP/PyKMIP
 
 Package: python-pykmip
@@ -50,6 +53,7 @@
 Depends:
  python-cryptography,
  python-enum34,
+ python-requests,
  python-six,
  python-sqlalchemy,
  ${misc:Depends},
@@ -77,6 +81,7 @@
  python3-kmip,
 Depends:
  python3-cryptography,
+ python3-requests,
  python3-six,
  python3-sqlalchemy,
  ${misc:Depends},

## python-pykmip 0.9.1

=== requirements.txt ===
cryptography>=1.4
enum34
requests
six>=1.11.0
sqlalchemy>=1.0

=== debian/changelog ===
python-pykmip (0.9.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 10:15:41 +0200

python-pykmip (0.9.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed CVE-2018-1000872 patch applied upstream.
  * Refreshed kill-broken-test.patch.
  * Removed CHANGES.txt from debian/docs.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Sep 2019 23:11:42 +0200

python-pykmip (0.7.0-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Removed Python 2 support (Closes: #938071).

 -- Thomas Goirand <zigo@debian.org>  Sat, 14 Sep 2019 22:19:45 +0200

python-pykmip (0.7.0-3) unstable; urgency=high

  [ Ondřej Nový ]
  * d/control: Add trailing tilde to min version depend to allow
    backports
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * CVE-2018-1000872: Resource Management Errors (similar issue to
    CVE-2015-5262) vulnerability in PyKMIP server that can result in DOS: the
    server can be made unavailable by one or more clients opening all of the
    available sockets. Applied upstream patch: Fix a denial-of-service bug by
    setting the server socket timeout (Closes: #917030).

 -- Thomas Goirand <zigo@debian.org>  Sun, 24 Feb 2019 17:30:07 +0100

=== debian/control ===
Source: python-pykmip
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-cryptography,
 python3-fixtures,
 python3-mock,
 python3-pytest,
 python3-six,
 python3-sqlalchemy,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-pykmip
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-pykmip.git
Homepage: https://github.com/OpenKMIP/PyKMIP

Package: python3-pykmip
Architecture: all
Provides:
 python3-kmip,
Depends:
 python3-cryptography,
 python3-six,
 python3-sqlalchemy,
 ${misc:Depends},
 ${python3:Depends},
Description: KMIP v1.1 library - Python 3.x
 PyKMIP is a Python implementation of the Key Management Interoperability
 Protocol (KMIP) specification, supporting version 1.1 of the KMIP standard.
 The KMIP standard is governed by the Organization for the Advancement of
 Structured Information Standards (OASIS) and specifies a client/server-based
 protocol to perform key, certificate, and secret object management, including
 storage and maintenance operations.
 .
 The PyKMIP library currently provides a KMIP client and server supporting the
 following operations for the KMIP SymmetricKey managed object:
  * Create
  * Register
  * Get
  * Destroy
 .
 This package contains the Python 3.x module.

## python-pykmip 0.10.0

=== requirements.txt ===
cryptography>=1.4
enum-compat
requests
six>=1.11.0
sqlalchemy>=1.0

=== debian/changelog ===
python-pykmip (0.10.0-4) unstable; urgency=medium

  * Add upstream patch: Fix_tests_to_pass_with_SQLAlchemy-1.4.0.patch
    (Closes: #997134).

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Oct 2021 10:33:46 +0200

python-pykmip (0.10.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 11:28:10 +0200

python-pykmip (0.10.0-2) experimental; urgency=medium

  * Add fix-exception-using-py2-format.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Apr 2020 22:31:04 +0200

python-pykmip (0.10.0-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-yaml as (build-)depends.
  * Standards-Version: 4.5.0.
  * debhelper-compat (= 11).

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Apr 2020 12:48:41 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 11),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -22,9 +22,10 @@
  python3-testresources,
  python3-testscenarios,
  python3-testtools,
+ python3-yaml,
  subunit,
  testrepository,
-Standards-Version: 4.1.3
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-pykmip
 Vcs-Git: https://salsa.debian.org/openstack-team/python/python-pykmip.git
 Homepage: https://github.com/OpenKMIP/PyKMIP
@@ -37,6 +38,7 @@
  python3-cryptography,
  python3-six,
  python3-sqlalchemy,
+ python3-yaml,
  ${misc:Depends},
  ${python3:Depends},
 Description: KMIP v1.1 library - Python 3.x

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/OpenKMIP/PyKMIP.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	rm -rf build
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; for i in $(PYTHON3S) ; do \
		PYTHONPATH=. PYTHON=python$$i python$$i -m coverage run --source=kmip/ -m pytest --strict kmip/tests/unit ; \
	done
#	PYTHONPATH=. python3-coverage run --source=kmip/ -m pytest --strict kmip/tests/unit
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build
